Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2180468 - python-cypari2 fails to build with Sphinx 6.1.3
Summary: python-cypari2 fails to build with Sphinx 6.1.3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cypari2
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS 2135122 PYTHON3.12 2220179
TreeView+ depends on / blocked
 
Reported: 2023-03-21 14:35 UTC by Karolina Surma
Modified: 2024-01-25 04:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-26 09:38:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2023-03-21 14:35:02 UTC
python-cypari2 fails to build with Sphinx 6.1.3 in Fedora 39 (currently Rawhide).

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/sphinx-6.1.3/package/python-cypari2/

You can test you package in mock running:

$ mock -r fedora-rawhide-x86_64 --addrepo=https://download.copr.fedorainfracloud.org/results/ksurma/sphinx-6.1.3/fedora-rawhide-x86_64/ --no-clean your.src.rpm
$ mock -r fedora-rawhide-x86_64 --addrepo=https://download.copr.fedorainfracloud.org/results/ksurma/sphinx-6.1.3/fedora-rawhide-x86_64/ shell

The issue detected:

Exception occurred:
File "/usr/lib/python3.11/site-packages/sphinx/ext/extlinks.py", line 103, in role
title = caption % part
        ~~~~~~~~^~~~~~
TypeError: not all arguments converted during string formatting

It's an error in configuration.
To resolve, edit the documentation `conf.py` and correct the `extlinks` definition to contain exactly one `%s` in the captions, eg.

Bad:
'github': ('https://github.com/%s', '')

Good:
'github': ('https://github.com/%s', '%s')

Sphinx 6.1.3 will be included in Fedora 39.
Let us know here if you have any questions. Thank you!

Comment 1 Karolina Surma 2023-04-05 09:30:55 UTC
Hi,

This is a friendly notice that Sphinx 6.1.3 will be shipped to Fedora Rawhide on April 13th. This package - unless fixed - will start to FTBFS.
I'll be happy to help with fixing the issues, should you need it.
If this package has already been handled, please ignore this message and ideally close the ticket. Thank you!

Comment 2 Fedora Release Engineering 2023-08-16 07:12:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 3 Fedora Admin user for bugzilla script actions 2023-09-05 00:49:02 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Miro Hrončok 2023-09-26 09:38:59 UTC
Automation has figured out the package is retired in Fedora 39.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 5 Red Hat Bugzilla 2024-01-25 04:25:46 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.